@echo off
::设置rar.exe 所在路径
set rar="c:\program file\winrar\rar.exe"
echo del   /f /s  /q  %temp%\*.*

echo    =======================================================================
echo    *                          FLASH版LOGO语言9.98                        *
echo    *                        =======================                      *
echo    *                                                                     *
echo    *  自解压生成批处理程序                                               *
echo    *                                                                     *
echo    *  将当前文件夹的所有程序及.lgo、图片、MP3文件压缩成可执行的EXE文件   *
echo    *                                                                     *
echo    *  完成后可以直接打开这个EXE文件执行程序                              *
echo    *                                                                     *
echo    *  执行时，将所有压缩的文件解压到:同名_Flogo文件夹下                  *
echo    *                                                                     *
echo    =======================================================================
echo    * 
set /p tmpf=请输入压缩包文件名：

echo setup=Flogo999.exe > conf.txt
echo Path=.\Flogo_%tmpf%>> conf.txt
echo tmpmode >> conf.txt
echo silent=1 >> conf.txt
echo overwrite=1 >>conf.txt
cls
c:\"Program Files"\winrar\rar.exe a -SFX  %tmpf%.exe *.jpg flogo*.exe *.lgo *.jpg *.gif *.mp3 *.html *.swf *.png *.bat -zconf.txt 
del /f flogo*.exe *.jpg *.lgo *.gif *.mp3 *.html *.swf *.png 
del /f conf.txt

